#178 failed to parse Authentication-Results: header with google plus notification mails

2.6.8
closed-fixed
None
3
2014-02-17
2013-09-04
Martin
No

I get these errors only with notifications from google+, not with gmail or any other mails:

Sep 4 08:14:35 sni postfix/smtpd[11535]: connect from mail-lb0-x22c.google.com[2a00:1450:4010:c04::22c]
Sep 4 08:14:35 sni postfix/smtpd[11535]: Anonymous TLS connection established from mail-lb0-x22c.google.com[2a00:1450:4
010:c04::22c]
: TLSv1 with cipher ECDHE-RSA-RC4-SHA (128/128 bits)
Sep 4 08:14:36 sni policyd-spf[11540]: None; identity=helo; client-ip=2a00:1450:4010:c04::22c; helo=mail-lb0-x22c.googl
e.com; envelope-from=!google-username!+caf_=martin=k0k.net@gmail.com; receiver=martin@k0k.net
Sep 4 08:14:36 sni policyd-spf[11540]: Pass; identity=mailfrom; client-ip=2a00:1450:4010:c04::22c; helo=mail-lb0-x22c.g
oogle.com; envelope-from=!google-username!+caf_=martin=k0k.net@gmail.com; receiver=martin@k0k.net
Sep 4 08:14:36 sni postfix/smtpd[11535]: 54D3ADFF: client=mail-lb0-x22c.google.com[2a00:1450:4010:c04::22c]
Sep 4 08:14:36 sni postfix/cleanup[11541]: 54D3ADFF: message-id=z12eyp1rhuytg3nvb23aibyxxoaxj50td@plus.google.com
Sep 4 08:14:36 sni opendkim[3365]: 54D3ADFF: failed to parse Authentication-Results: header
Sep 4 08:14:36 sni postfix/qmgr[3519]: 54D3ADFF: from=<!google-username!+caf_=martin=k0k.net@gmail.com>, size=11593, nrcpt=1 (queue active)

the headers of this mail look like this (slightly anonymised):

Return-Path: <!google-username!+caf_=martin=k0k.net@gmail.com>
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on sni.local.k0k.net
X-Spam-Level:
X-Spam-Status: No, score=-2.0 required=5.0 tests=BAYES_00,DKIM_SIGNED,
DKIM_VALID,DKIM_VALID_AU,HTML_MESSAGE,SPF_PASS autolearn=ham version=3.3.2
X-Original-To: martin@k0k.net
Delivered-To: martin@k0k.net
Received-SPF: Pass (sender SPF authorized) identity=mailfrom; client-ip=2a00:1450:4010:c04::22c; helo=mail-lb0-x22c.google.com; envelope-from=!google-username!+caf_=martin=k0k.net@gmail.com; receiver=martin@k0k.net
Authentication-Results: sni.k0k.net; dkim=pass
reason="2048-bit key; insecure key"
header.d=plus.google.com header.i=@plus.google.com
header.b=nvChluup; dkim-adsp=pass; dkim-atps=neutral
Received: from mail-lb0-x22c.google.com (mail-lb0-x22c.google.com [IPv6:2a00:1450:4010:c04::22c])
(using TLSv1 with cipher ECDHE-RSA-RC4-SHA (128/128 bits))
(No client certificate requested)
by sni.k0k.net (Postfix) with ESMTPS id 54D3ADFF
for martin@k0k.net; Wed, 4 Sep 2013 08:14:35 +0200 (CEST)
Received: by mail-lb0-f172.google.com with SMTP id x18so5829737lbi.17
for martin@k0k.net; Tue, 03 Sep 2013 23:14:34 -0700 (PDT)
X-Received: by 10.152.45.106 with SMTP id l10mr1142798lam.12.1378275274663;
Tue, 03 Sep 2013 23:14:34 -0700 (PDT)
X-Forwarded-To: martin@k0k.net
X-Forwarded-For: !google-username!@gmail.com martin@k0k.net
Delivered-To: !google-username!@gmail.com
Received: by 10.112.76.4 with SMTP id g4csp24083lbw;
Tue, 3 Sep 2013 23:14:34 -0700 (PDT)
X-Received: by 10.180.231.40 with SMTP id td8mr733458wic.16.1378275274078;
Tue, 03 Sep 2013 23:14:34 -0700 (PDT)
Received: from mail-wi0-x248.google.com (mail-wi0-x248.google.com [2a00:1450:400c:c05::248])
by mx.google.com with ESMTPS id dg6si8411323wjc.129.1969.12.31.16.00.00
(version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
Tue, 03 Sep 2013 23:14:34 -0700 (PDT)
Received-SPF: pass (google.com: domain of replyto-!REMOVED!@plus.google.com designates 2a00:1450:400c:c05::248 as permitted sender) client-ip=2a00:1450:400c:c05::248;
Authentication-Results: mx.google.com;
spf=pass (google.com: domain of replyto-!REMOVED!@plus.google.com designates 2a00:1450:400c:c05::248 as permitted sender) smtp.mail=replyto-!REMOVED!@plus.google.com;
dkim=pass header.i=@plus.google.com;
dmarc=pass (p=REJECT dis=NONE) d=plus.google.com
Received: by mail-wi0-x248.google.com with SMTP id hn9so3106088wib.11
for <!google-username!@gmail.com>; Tue, 03 Sep 2013 23:14:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
d=plus.google.com; s=20120806;
h=mime-version:references:reply-to:list-unsubscribe:precedence:date
:message-id:subject:from:to:content-type;
bh=VuETSxkLoVAOJ0Mq+6jidT57r7JiLhbJYC9wlWZDLZg=;
b=nvChluupMSSZ+bB4zLNCt5G/UQ+ebXlx64zCwf0arGNiGe6QiDxpn4aNF1Mqm2sGwc
u42Mp6igdyIySrd2ffFgrQ0v8t5c9v3UsZhBp9ZoTyvtgRlQsKCg8bO0GMCwmgFIHd2v
FzrloDmIuT1FKaoNoWupJnbOQt28UU8cI6wu6qGx9G9Q0O0FCDGky9BZhMP2u/eNiQf6
zggtVAmHNpZB9Y2pymQMSaemCdr9bc6ya4CmD+GxUqjccrRUBygGN7cE+s/oi82jlPZf
qxU3jFtLOXBc7CCcwOshH327qL6cYI3kCslRr0CGcwWpkmLmlrKwbCFlddnZTcew80ma
n08w==
MIME-Version: 1.0
X-Received: by 10.112.125.234 with SMTP id mt10mr251766lbb.0.1378275273621;
Tue, 03 Sep 2013 23:14:33 -0700 (PDT)
X-Notifications: XEAAAAEWwHLj2H8_HeXBX_NeAh6Y
X-Notification-ID: z12eyp1rhuytg3nvb23aibyxxoaxj50td
X-Entity-Ref-ID: z12sw3yqvkjzhrh4004cgtszvrqkvpwo354
X-Sender-ID: !REMOVED!
X-Notification-Category: STREAM
X-Notification-Type: STREAM_POST_SHARED
References: z12sw3yqvkjzhrh4004cgtszvrqkvpwo354@plus.google.com
X-All-Senders-In-Circles: 1
Reply-To: "!REMOVED! (Google+)" <replyto+!REMOVED!@plus.google.com>
X-UB: 21
List-Unsubscribe: https://plus.google.com/_/notifications/emlink?!REMOVED!
Precedence: bulk
Date: Tue, 03 Sep 2013 23:14:33 -0700 (PDT)
Message-ID: z12eyp1rhuytg3nvb23aibyxxoaxj50td@plus.google.com
Subject: !REMOVED!
From: "!REMOVED! (Google+)" <replyto-!REMOVED!@plus.google.com>
To: !google-username!@gmail.com
Content-Type: multipart/alternative; boundary=089e01160d6216406b04e588b8b2

This is opendkim 2.6.8 (Ubuntu 12.04).

Regards,

Martin

Discussion

  • Murray S. Kucherawy

    • Priority: 5 --> 3
     
  • Murray S. Kucherawy

    The error is correct in that "dmarc" is not yet a known authentication method in either the published standards or the OpenDKIM code that parses them. What's more, the syntax Gmail is using doesn't fit the standard, which is the real reason these get rejected. I'll have to get in touch with them about it.

     
  • Murray S. Kucherawy

    • assigned_to: Murray S. Kucherawy
     
  • Murray S. Kucherawy

    Gmail replied to me this morning. They fixed their A-R fields several weeks ago, so what's left is to get the patch out there for opendkim to accept "dmarc" as a known reporting protocol. That will appear in 2.9.0, which should be out sometime this month.

     
  • Murray S. Kucherawy

    • status: open --> closed-fixed
     
  • Murray S. Kucherawy

    v2.9.0 released.

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks